Bug 1276960 - Review Request: gimp-bimp-plugin - Batch Image Manipulation Plugin
Review Request: gimp-bimp-plugin - Batch Image Manipulation Plugin
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR DESIGN-SW
  Show dependency treegraph
 
Reported: 2015-11-01 14:04 EST by Maxim Orlov
Modified: 2016-05-18 16:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Orlov 2015-11-01 14:04:02 EST
Spec URL: <https://raw.githubusercontent.com/RussianFedora/gimp-bimp-plugin/master/gimp-bimp-plugin.spec>
SRPM URL: <http://koji.russianfedora.pro/kojifiles/packages/gimp-bimp-plugin/1.16/1.fc24.R/src/gimp-bimp-plugin-1.16-1.fc24.R.src.rpm>
Description: <Use BIMP to apply a set of GIMP manipulations to groups of images.>
Fedora Account System Username: region51

This is one of my rpm packages and I need a sponsor for it.
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-10 16:01:52 EST
Why do you create an empty configure script and then call it?

find %{buildroot}%{_datadir}/locale/ -name "*.po" -exec rm -rf {} \;
→
find %{buildroot}%{_datadir}/locale/ -name "*.po" -delete
Comment 2 Maxim Orlov 2016-01-11 07:31:05 EST
>Why do you create an empty configure script and then call it?

for Use configure:
%prep
...
echo '#!/bin/bash' > configure
chmod +x configure

%build
%configure
...

[maxim@localhost ~]$ rpm --eval %configure

  CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -I/usr/lib64/gfortran/modules}" ; export FFLAGS ; 
  FCFLAGS="${FCFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -I/usr/lib64/gfortran/modules}" ; export FCFLAGS ; 
  LDFLAGS="${LDFLAGS:--Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld}"; export LDFLAGS; 
  [ "1" = 1 ] && for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub) ; do 
      [ -f /usr/lib/rpm/redhat/$(basename $i) ] && /usr/bin/rm -f $i && /usr/bin/cp -fv /usr/lib/rpm/redhat/$(basename $i) $i ; 
  done ; 
  [ "1" = 1 ] && [ x != "x-specs=/usr/lib/rpm/redhat/redhat-hardened-ld" ] && 
      for i in $(find . -name ltmain.sh) ; do 
        /usr/bin/sed -i.backup -e 's~compiler_flags=$~compiler_flags="-specs=/usr/lib/rpm/redhat/redhat-hardened-ld"~' $i 
      done ; 
  ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu \
	--program-prefix= \
	--disable-dependency-tracking \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=/usr/lib64 \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/var/lib \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info
Comment 3 Maxim Orlov 2016-01-11 07:45:58 EST
>find %{buildroot}%{_datadir}/locale/ -name "*.po" -delete

Using -delete instead of -exec rm -rf {} \; no change functional nor speed. I see no reason to change this.
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-01-11 08:25:15 EST
(In reply to Maxim Orlov from comment #2)
> >Why do you create an empty configure script and then call it?
> 
> for Use configure:

I'm aware what %configure expands too. But creating ./configure during build
is unusual, so I'm asking what is reason for doing that (why do you need
to do it).

(In reply to Maxim Orlov from comment #3)
> >find %{buildroot}%{_datadir}/locale/ -name "*.po" -delete
> 
> Using -delete instead of -exec rm -rf {} \; no change functional nor speed.
> I see no reason to change this.

It's shorter and doesn't call an external program.

Note You need to log in before you can comment on or make changes to this bug.